/**
 * 双随机抽样计划附件表相关
 */
import http from '../http'


export default {
    page: data => http.post('/drs/v1/sampling_plan_attachment/page', data).then(res => res),
    list: data => http.post('/drs/v1/sampling_plan_attachment/list', data).then(res => res),
    add: data => http.post('/drs/v1/sampling_plan_attachment/', data).then(res => res),
    edit: data => http.put('/drs/v1/sampling_plan_attachment/' + data.id, data.obj).then(res => res),
    deleteByIds: data => http.delete('/drs/v1/sampling_plan_attachment/?ids=' + data.id).then(res => res),
    getById: id => http.get('/drs/v1/sampling_plan_attachment/' + id).then(res => res),
//计划下的附件是图片的附件id集合
    getImgById: id => http.post('/drs/v1/sampling_plan_attachment/list_picture_by_plan_id?planId=' + id).then(res => res)
}
